# Fleet

All fleet endpoints

## GET /v3/fleet

> Get a list of fleets

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet":{"get":{"tags":["Fleet"],"summary":"Get a list of fleets","operationId":"getFleets","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/fleet

> Create a new fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet":{"post":{"tags":["Fleet"],"summary":"Create a new fleet","operationId":"createFleet","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fleet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/fleet/{fleetId}

> Get a specific fleet by Id

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}":{"get":{"tags":["Fleet"],"summary":"Get a specific fleet by Id","operationId":"getFleet","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/fleet/{fleetId}

> Update given fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}":{"put":{"tags":["Fleet"],"summary":"Update given fleet","operationId":"updateFleet","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fleet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/fleet/{fleetId}

> Removes an existing fleet. Note that it may not have any active servers assigned to it.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}":{"delete":{"tags":["Fleet"],"summary":"Removes an existing fleet. Note that it may not have any active servers assigned to it.","operationId":"deleteFleet","parameters":[{"name":"fleetId","in":"path","description":"The ID of the fleet","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"409":{"description":"Fleet in use, cannot delete"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/fleet/{fleetId}/operationalStatus

> Update the operational status of the given fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"OperationalStatus":{"type":"object","required":["operationalStatus"],"properties":{"operationalStatus":{"type":"integer","format":"integer","description":"The operational status for the fleet"}},"additionalProperties":false},"Fleet":{"type":"object","required":["id","name","deploymentEnvironmentId","operationalStatus","isGameLift"],"properties":{"id":{"type":"string","format":"","description":"Fleet ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the fleet"},"deploymentEnvironmentId":{"type":"string","format":"","description":"Deployment environment ID to which the fleet is assigned"},"deploymentProfileId":{"type":"string","format":"","description":"The `DeploymentProfileTemplate`'s ID, used for scaling, that is attached to this `Fleet`"},"gameDeploymentTemplateId":{"type":"string","format":"","description":"The `GameDeploymentTemplate`'s ID that is attached to this `Fleet`"},"utilityDeploymentTemplateId":{"type":"string","format":"","description":"The `UtilityDeploymentTemplate`'s ID that is attached to this `Fleet`"},"dependencyDeploymentTemplateId":{"type":"string","format":"","description":"The `DependencyDeploymentTemplate`'s ID that is attached to this `Fleet`"},"hostCapacityTemplateId":{"type":"string","format":"","description":"The `HostCapacityTemplate`'s ID that is attached to this `Fleet`"},"operationalStatus":{"type":"integer","format":"integer","description":"0: Manual, 1: Automatic deployment enabled, 2: Automatic scaling enabled (implies automatic deployment)","readOnly":true},"isGameLift":{"type":"boolean","description":"When it is active it cannot be disabled anymore"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/operationalStatus":{"put":{"tags":["Fleet"],"summary":"Update the operational status of the given fleet","operationId":"updateFleetOperationalStatus","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Options:\n- 0: Manual, no application instances will be deployed nor deleted\n- 1: Automatic deployment enabled, the initial deploy according to deploymentProfile will be activated\n- 2: Automatic scaling enabled, scaling based on demand will be activated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationalStatus"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Fleet"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/fleet/{fleetId}/host/reserved

> Get all hosts reserved for the given fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Host":{"type":"object","required":["id","userId","serverId","serverName","serverType","liveHostName","isVirtual","category","osId","locationId","dcLocationId","instanceType","fleetId","newFleetId","fleetAssociatedSince","rackName","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","purchaseOrder","paymentTerm","pricePerMonth","pricePerTbOveruse","currencyId","bandwidthBillingType","bandwidthContractual","ipAddress","brand","model","numCpu","cpuInfo","cpuType","cpuLoad","cpu","memUsed","memMax","memFree","disk","memory","isReserve","serviceTag","isODP","fmOrderId","installStatus","status","trafficSum","uplinks","freeIncomingTraffic","outgoingTrafficSum","incomingTrafficSum"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of this host","readOnly":true},"userId":{"type":"integer","format":"integer","description":"The ID of the user who owns this server","readOnly":true},"serverId":{"type":"integer","format":"integer","description":"The ID of the physical machine","readOnly":true},"serverName":{"type":"string","format":"","description":"The name of the physical machine","readOnly":true},"serverType":{"type":"integer","format":"integer","description":"The type of the server:\n* 1: Bare metal server\n* 2: Flex metal server\n* 3: Virtual machine","readOnly":true},"projectName":{"type":"string","format":"","description":"The name of the project for the host"},"clientServerName":{"type":"string","format":"","description":"The name of the server defined by client"},"clientState":{"type":"string","format":"","description":"Client statement for the host"},"liveHostName":{"type":"string","format":"","description":"The host name","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this is a bare metal server, 1 if it's a VM. Use `serverType` instead","readOnly":true,"deprecated":true},"category":{"type":"string","format":"","description":"Host category. Normally \"Dedicated Game Servers\" or \"Dedicated Servers\", but can be \"Broken\" if the server is in a degraded state","readOnly":true},"osId":{"type":"integer","format":"integer","description":"Operating system ID, must be one of [`GET /v3/operatingsystem`](all#/OperatingSystem/getOperatingsystems)","readOnly":true},"locationId":{"type":"integer","format":"integer","description":"Legacy location ID (not used for ODP)","readOnly":true},"dcLocationId":{"type":"integer","format":"integer","description":"Datacenter location ID. Points to one of [`GET /v3/cloud/dcLocation`](#/Cloud/getCloudDcLocations)","readOnly":true},"instanceType":{"type":"string","format":"","description":"The instance type of this server, which is one of [`GET /v3/host/instanceType`](#/Host/getHostInstanceTypes) for a bare metal, or one of\n[`GET /v3/cloud/instanceType`](#/Cloud/getCloudInstanceTypes) for a virtual machine","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID, if this host has been assigned to a fleet\nIf `0`, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.","readOnly":true},"newFleetId":{"type":"string","format":"","description":"The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at [`POST /v3/fleet/host/bulkReserve`](#/Fleet/createFleetHostBulkReserve)","nullable":true,"readOnly":true},"fleetAssociatedSince":{"type":"integer","format":"integer","description":"Unix timestamp when fleet assigned to the host","readOnly":true},"rackName":{"type":"string","format":"","description":"The name of the rack the host is located","readOnly":true},"dateStart":{"type":"string","format":"","description":"The date at which this host became active","readOnly":true},"dateEnd":{"type":"string","format":"","description":"The date at which this host will expire","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"The date at which this host was cancelled","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"The date at which the contract ends (if applicable)","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"The contract period in months","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"The service extend period in months","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order, if one has been supplied via our billing department","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"The payment term in days (how many days are invoices generated before dateEnd)","readOnly":true},"pricePerMonth":{"type":"string","format":"","description":"The price of this host per month in cents (see `currencyId` for currency)","readOnly":true},"pricePerTbOveruse":{"type":"string","format":"","description":"The price of traffic overuse in cents (per TB) (see `currencyId` for currency)","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency of the `pricePerMonth` field:\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true},"bandwidthContractual":{"type":"integer","format":"integer","description":"The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals `2`, in mbit otherwise","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/HostIP"},"description":"All IP addresses assigned to this host","readOnly":true},"brand":{"type":"string","format":"","description":"The server manufacturer brand name","readOnly":true},"model":{"type":"string","format":"","description":"The model of the server","readOnly":true},"numCpu":{"type":"integer","format":"integer","description":"Number of CPUs in this host","readOnly":true},"cpuInfo":{"type":"string","format":"","readOnly":true},"cpuType":{"type":"string","format":"","readOnly":true},"cpuLoad":{"type":"number","format":"float","description":"Percentage of cpu used across all cores","readOnly":true},"cpu":{"allOf":[{"$ref":"#/components/schemas/HostCpu"}],"readOnly":true},"memUsed":{"type":"integer","format":"integer","description":"The amount of memory that is used by the host (in megabytes)","readOnly":true},"memMax":{"type":"integer","format":"integer","description":"The amount of memory that is available on the host (in megabytes)","readOnly":true},"memFree":{"type":"integer","format":"integer","description":"The amount of free memory that is available on the host (in megabytes)","readOnly":true},"disk":{"type":"array","items":{"$ref":"#/components/schemas/HostDisk"},"readOnly":true},"memory":{"type":"array","items":{"$ref":"#/components/schemas/HostMemory"},"readOnly":true},"isReserve":{"type":"integer","format":"integer","description":"If the host is reserved for a fleet isReserve set to 1","readOnly":true},"labels":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for host"},"serviceTag":{"type":"string","format":"","description":"The service tag of the host","readOnly":true},"isODP":{"type":"integer","format":"integer","description":"If the host is available for game hosting platform isODP set to 1","readOnly":true},"fmOrderId":{"type":"string","format":"","description":"ID of Flex Metal order if this is a flex metal server","nullable":true,"readOnly":true},"installStatus":{"type":"string","format":"","description":"Status of server auto install if it was started by one. (created / installing / finished / failed)","nullable":true,"readOnly":true},"status":{"type":"string","format":"","description":"Whether the host is running or not","readOnly":true},"uptime":{"type":"integer","format":"integer","description":"The uptime of the host. Read-only. Only provided if the server checked-in recently"},"trafficSum":{"type":"integer","format":"integer","description":"Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/HostUplink"},"description":"A list of uplinks attached to this host","readOnly":true},"freeIncomingTraffic":{"type":"boolean","description":"Whether the host has free incoming traffic or not","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB)","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB)","readOnly":true}},"additionalProperties":false},"HostIP":{"type":"object","required":["ipAddress","version","type","private","interface","macAddress","rDns","vlanId","gateway","netmask","prefix"],"properties":{"ipAddress":{"type":"string","format":"","description":"Host IP address","readOnly":true},"version":{"type":"integer","format":"integer","description":"IP version, possible values can be 4 or 6","readOnly":true},"type":{"type":"integer","format":"integer","description":"IP type:\n1) normal,\n2) KVM,\n253) VRRP1,\n254) VRRP2,\n255) gateway","readOnly":true},"private":{"type":"integer","format":"integer","description":"Private IP (1) or public IP (0)","readOnly":true},"interface":{"type":"integer","format":"integer","description":"ID of the interface (0-7)","readOnly":true},"macAddress":{"type":"string","format":"","description":"MAC address of the interface","readOnly":true},"rDns":{"type":"string","format":"","description":"RDNS of the interface","readOnly":true},"vlanId":{"type":"integer","format":"integer","description":"ID for the VLAN","nullable":true,"readOnly":true},"gateway":{"type":"string","format":"","description":"Interface gateway","nullable":true,"readOnly":true},"netmask":{"type":"string","format":"","description":"Interface netmask","nullable":true,"readOnly":true},"prefix":{"type":"integer","format":"integer","description":"Interface prefix","nullable":true,"readOnly":true}},"additionalProperties":false},"HostCpu":{"type":"object","required":["socket","cores","threads","info","type"],"properties":{"socket":{"type":"integer","format":"integer","description":"Number of populated CPU sockets","readOnly":true},"cores":{"type":"integer","format":"integer","description":"Total number of cores (sum of all CPU cores)","readOnly":true},"threads":{"type":"integer","format":"integer","description":"Total number of threads (sum of all CPU threads).","readOnly":true},"info":{"type":"string","format":"","description":"CPU information","readOnly":true},"type":{"type":"string","format":"","description":"CPU type","readOnly":true}},"additionalProperties":false},"HostDisk":{"type":"object","required":["diskType","diskMedium","model","product","diskSerial","firmwareVersion","rotationRate","sectorSizeLogical","sectorSizePhysical","size"],"properties":{"diskType":{"type":"string","format":"","description":"The type of disk","readOnly":true},"diskMedium":{"type":"string","format":"","description":"The medium of this disk","readOnly":true},"model":{"type":"string","format":"","description":"The model name of this disk","readOnly":true},"product":{"type":"string","format":"","description":"The product string of this disk","readOnly":true},"diskSerial":{"type":"string","format":"","description":"The serial number of this disk","readOnly":true},"firmwareVersion":{"type":"string","format":"","description":"Firmware version","readOnly":true},"rotationRate":{"type":"integer","format":"integer","description":"Rotation rate (does not apply to SSD)","readOnly":true},"sectorSizeLogical":{"type":"integer","format":"integer","description":"Logical sector size","readOnly":true},"sectorSizePhysical":{"type":"integer","format":"integer","description":"Physical sector size","readOnly":true},"size":{"type":"integer","format":"integer","description":"In bytes","readOnly":true}},"additionalProperties":false},"HostMemory":{"type":"object","required":["brand","model","size","speed","ecc","memoryBank","memoryType","memorySlot","memorySerial"],"properties":{"brand":{"type":"string","format":"","description":"The brand name","readOnly":true},"model":{"type":"string","format":"","description":"The model name","readOnly":true},"size":{"type":"integer","format":"integer","description":"In bytes","readOnly":true},"speed":{"type":"integer","format":"integer","description":"The speed this memory module runs at","readOnly":true},"ecc":{"type":"integer","format":"integer","description":"Set to 1 if ecc is supported and enabled","readOnly":true},"memoryBank":{"type":"integer","format":"integer","description":"The bank this module sits in","readOnly":true},"memoryType":{"type":"string","format":"","description":"The type of memory module","readOnly":true},"memorySlot":{"type":"string","format":"","description":"The slot this module sits in","readOnly":true},"memorySerial":{"type":"string","format":"","description":"The serial number of this module","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"HostUplink":{"type":"object","required":["uplinkId","aggregate"],"properties":{"uplinkId":{"type":"integer","format":"integer","description":"The cacti ID of the uplink","readOnly":true},"aggregate":{"type":"boolean","description":"True if the uplink is an aggregated uplink, false if it is not aggregated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/host/reserved":{"get":{"tags":["Fleet"],"summary":"Get all hosts reserved for the given fleet","operationId":"getFleetHostReserveds","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Host"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/fleet/host/bulkReserve

> Reserve a list of hosts for a specific new fleet. The existing application instances on these servers will be automatically scaled down.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BulkReserveHostByFleet":{"type":"object","required":["fleetId","hosts"],"properties":{"fleetId":{"type":"string","format":"","description":"Fleet ID"},"hosts":{"type":"array","items":{"type":"integer","format":"integer"},"description":"List of host ID's"},"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/host/bulkReserve":{"post":{"tags":["Fleet"],"summary":"Reserve a list of hosts for a specific new fleet. The existing application instances on these servers will be automatically scaled down.","operationId":"createFleetHostBulkReserve","parameters":[{"name":"X-Trace-Id:","in":"header","description":"Response header which you can use to fetch the status of the bulk reservation of hosts by using endpoint<br />\n[`GET /v3/fleet/host/bulkReserve/{traceId}/status`](#/Fleet/getFleetHostBulkReserveStatuses)","schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkReserveHostByFleet"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/fleet/host/bulkReserve/{traceId}/status

> Progress for the bulk reserve you have done, base on the trace id you received in the header when you have created the bulk reserve

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BulkReserveHostByFleetStatus":{"type":"object","required":["oldFleetId","newFleetId","hostId","inProgress"],"properties":{"oldFleetId":{"type":"string","format":"","description":"Fleet ID that was assigned to the host prior to bulk reservation."},"newFleetId":{"type":"string","format":"","description":"Fleet ID that will be assigned to the host after completion of bulk reservation."},"hostId":{"type":"integer","format":"integer","description":"ID of the host."},"inProgress":{"type":"integer","format":"integer","description":"When the value is 1 then the host is not changed to the new fleet ID, when value is 0 than the host is changed to the new fleet ID."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/host/bulkReserve/{traceId}/status":{"get":{"tags":["Fleet"],"summary":"Progress for the bulk reserve you have done, base on the trace id you received in the header when you have created the bulk reserve","operationId":"getFleetHostBulkReserveStatuses","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BulkReserveHostByFleetStatus"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/fleet/{fleetId}/host

> Get all your hosts for a fleet.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Host":{"type":"object","required":["id","userId","serverId","serverName","serverType","liveHostName","isVirtual","category","osId","locationId","dcLocationId","instanceType","fleetId","newFleetId","fleetAssociatedSince","rackName","dateStart","dateEnd","dateCancelled","dateEndContract","contractPeriod","extendPeriod","cancellationPeriod","purchaseOrder","paymentTerm","pricePerMonth","pricePerTbOveruse","currencyId","bandwidthBillingType","bandwidthContractual","ipAddress","brand","model","numCpu","cpuInfo","cpuType","cpuLoad","cpu","memUsed","memMax","memFree","disk","memory","isReserve","serviceTag","isODP","fmOrderId","installStatus","status","trafficSum","uplinks","freeIncomingTraffic","outgoingTrafficSum","incomingTrafficSum"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of this host","readOnly":true},"userId":{"type":"integer","format":"integer","description":"The ID of the user who owns this server","readOnly":true},"serverId":{"type":"integer","format":"integer","description":"The ID of the physical machine","readOnly":true},"serverName":{"type":"string","format":"","description":"The name of the physical machine","readOnly":true},"serverType":{"type":"integer","format":"integer","description":"The type of the server:\n* 1: Bare metal server\n* 2: Flex metal server\n* 3: Virtual machine","readOnly":true},"projectName":{"type":"string","format":"","description":"The name of the project for the host"},"clientServerName":{"type":"string","format":"","description":"The name of the server defined by client"},"clientState":{"type":"string","format":"","description":"Client statement for the host"},"liveHostName":{"type":"string","format":"","description":"The host name","readOnly":true},"isVirtual":{"type":"integer","format":"integer","description":"0 if this is a bare metal server, 1 if it's a VM. Use `serverType` instead","readOnly":true,"deprecated":true},"category":{"type":"string","format":"","description":"Host category. Normally \"Dedicated Game Servers\" or \"Dedicated Servers\", but can be \"Broken\" if the server is in a degraded state","readOnly":true},"osId":{"type":"integer","format":"integer","description":"Operating system ID, must be one of [`GET /v3/operatingsystem`](all#/OperatingSystem/getOperatingsystems)","readOnly":true},"locationId":{"type":"integer","format":"integer","description":"Legacy location ID (not used for ODP)","readOnly":true},"dcLocationId":{"type":"integer","format":"integer","description":"Datacenter location ID. Points to one of [`GET /v3/cloud/dcLocation`](#/Cloud/getCloudDcLocations)","readOnly":true},"instanceType":{"type":"string","format":"","description":"The instance type of this server, which is one of [`GET /v3/host/instanceType`](#/Host/getHostInstanceTypes) for a bare metal, or one of\n[`GET /v3/cloud/instanceType`](#/Cloud/getCloudInstanceTypes) for a virtual machine","readOnly":true},"fleetId":{"type":"string","format":"","description":"The fleet ID, if this host has been assigned to a fleet\nIf `0`, the host has not been assigned to a fleet, otherwise, the fleet is assigned to this host and the host can serve application instances for that fleet.","readOnly":true},"newFleetId":{"type":"string","format":"","description":"The ID of a new fleet that is to be assigned to this host after performing a bulkReserve operation at [`POST /v3/fleet/host/bulkReserve`](#/Fleet/createFleetHostBulkReserve)","nullable":true,"readOnly":true},"fleetAssociatedSince":{"type":"integer","format":"integer","description":"Unix timestamp when fleet assigned to the host","readOnly":true},"rackName":{"type":"string","format":"","description":"The name of the rack the host is located","readOnly":true},"dateStart":{"type":"string","format":"","description":"The date at which this host became active","readOnly":true},"dateEnd":{"type":"string","format":"","description":"The date at which this host will expire","readOnly":true},"dateCancelled":{"type":"string","format":"","description":"The date at which this host was cancelled","readOnly":true},"dateEndContract":{"type":"string","format":"","description":"The date at which the contract ends (if applicable)","readOnly":true},"contractPeriod":{"type":"integer","format":"integer","description":"The contract period in months","readOnly":true},"extendPeriod":{"type":"integer","format":"integer","description":"The service extend period in months","readOnly":true},"cancellationPeriod":{"type":"integer","format":"integer","description":"The cancellation period in months","readOnly":true},"purchaseOrder":{"type":"string","format":"","description":"Purchase order, if one has been supplied via our billing department","readOnly":true},"paymentTerm":{"type":"integer","format":"integer","description":"The payment term in days (how many days are invoices generated before dateEnd)","readOnly":true},"pricePerMonth":{"type":"string","format":"","description":"The price of this host per month in cents (see `currencyId` for currency)","readOnly":true},"pricePerTbOveruse":{"type":"string","format":"","description":"The price of traffic overuse in cents (per TB) (see `currencyId` for currency)","readOnly":true},"currencyId":{"type":"integer","format":"integer","description":"The currency of the `pricePerMonth` field:\n* 0: EURO\n* 1: USD\n* 9: YEN","readOnly":true},"bandwidthBillingType":{"type":"integer","format":"integer","description":"The bandwidth billing method for this service:\n* 1: unmetered connection\n* 2: measured in TB per month\n* 3: measured in mbit 95th percentile","readOnly":true},"bandwidthContractual":{"type":"integer","format":"integer","description":"The contractual maximum bandwidth usage value. In GB if bandwidthBillingType equals `2`, in mbit otherwise","readOnly":true},"ipAddress":{"type":"array","items":{"$ref":"#/components/schemas/HostIP"},"description":"All IP addresses assigned to this host","readOnly":true},"brand":{"type":"string","format":"","description":"The server manufacturer brand name","readOnly":true},"model":{"type":"string","format":"","description":"The model of the server","readOnly":true},"numCpu":{"type":"integer","format":"integer","description":"Number of CPUs in this host","readOnly":true},"cpuInfo":{"type":"string","format":"","readOnly":true},"cpuType":{"type":"string","format":"","readOnly":true},"cpuLoad":{"type":"number","format":"float","description":"Percentage of cpu used across all cores","readOnly":true},"cpu":{"allOf":[{"$ref":"#/components/schemas/HostCpu"}],"readOnly":true},"memUsed":{"type":"integer","format":"integer","description":"The amount of memory that is used by the host (in megabytes)","readOnly":true},"memMax":{"type":"integer","format":"integer","description":"The amount of memory that is available on the host (in megabytes)","readOnly":true},"memFree":{"type":"integer","format":"integer","description":"The amount of free memory that is available on the host (in megabytes)","readOnly":true},"disk":{"type":"array","items":{"$ref":"#/components/schemas/HostDisk"},"readOnly":true},"memory":{"type":"array","items":{"$ref":"#/components/schemas/HostMemory"},"readOnly":true},"isReserve":{"type":"integer","format":"integer","description":"If the host is reserved for a fleet isReserve set to 1","readOnly":true},"labels":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for host"},"serviceTag":{"type":"string","format":"","description":"The service tag of the host","readOnly":true},"isODP":{"type":"integer","format":"integer","description":"If the host is available for game hosting platform isODP set to 1","readOnly":true},"fmOrderId":{"type":"string","format":"","description":"ID of Flex Metal order if this is a flex metal server","nullable":true,"readOnly":true},"installStatus":{"type":"string","format":"","description":"Status of server auto install if it was started by one. (created / installing / finished / failed)","nullable":true,"readOnly":true},"status":{"type":"string","format":"","description":"Whether the host is running or not","readOnly":true},"uptime":{"type":"integer","format":"integer","description":"The uptime of the host. Read-only. Only provided if the server checked-in recently"},"trafficSum":{"type":"integer","format":"integer","description":"Monthly traffic of all incoming and outgoing bandwidth in GB or Mbit depending on host configuration","readOnly":true},"uplinks":{"type":"array","items":{"$ref":"#/components/schemas/HostUplink"},"description":"A list of uplinks attached to this host","readOnly":true},"freeIncomingTraffic":{"type":"boolean","description":"Whether the host has free incoming traffic or not","readOnly":true},"outgoingTrafficSum":{"type":"integer","format":"integer","description":"The outgoing traffic (Mbit or GB)","readOnly":true},"incomingTrafficSum":{"type":"integer","format":"integer","description":"The incoming traffic (Mbit or GB)","readOnly":true}},"additionalProperties":false},"HostIP":{"type":"object","required":["ipAddress","version","type","private","interface","macAddress","rDns","vlanId","gateway","netmask","prefix"],"properties":{"ipAddress":{"type":"string","format":"","description":"Host IP address","readOnly":true},"version":{"type":"integer","format":"integer","description":"IP version, possible values can be 4 or 6","readOnly":true},"type":{"type":"integer","format":"integer","description":"IP type:\n1) normal,\n2) KVM,\n253) VRRP1,\n254) VRRP2,\n255) gateway","readOnly":true},"private":{"type":"integer","format":"integer","description":"Private IP (1) or public IP (0)","readOnly":true},"interface":{"type":"integer","format":"integer","description":"ID of the interface (0-7)","readOnly":true},"macAddress":{"type":"string","format":"","description":"MAC address of the interface","readOnly":true},"rDns":{"type":"string","format":"","description":"RDNS of the interface","readOnly":true},"vlanId":{"type":"integer","format":"integer","description":"ID for the VLAN","nullable":true,"readOnly":true},"gateway":{"type":"string","format":"","description":"Interface gateway","nullable":true,"readOnly":true},"netmask":{"type":"string","format":"","description":"Interface netmask","nullable":true,"readOnly":true},"prefix":{"type":"integer","format":"integer","description":"Interface prefix","nullable":true,"readOnly":true}},"additionalProperties":false},"HostCpu":{"type":"object","required":["socket","cores","threads","info","type"],"properties":{"socket":{"type":"integer","format":"integer","description":"Number of populated CPU sockets","readOnly":true},"cores":{"type":"integer","format":"integer","description":"Total number of cores (sum of all CPU cores)","readOnly":true},"threads":{"type":"integer","format":"integer","description":"Total number of threads (sum of all CPU threads).","readOnly":true},"info":{"type":"string","format":"","description":"CPU information","readOnly":true},"type":{"type":"string","format":"","description":"CPU type","readOnly":true}},"additionalProperties":false},"HostDisk":{"type":"object","required":["diskType","diskMedium","model","product","diskSerial","firmwareVersion","rotationRate","sectorSizeLogical","sectorSizePhysical","size"],"properties":{"diskType":{"type":"string","format":"","description":"The type of disk","readOnly":true},"diskMedium":{"type":"string","format":"","description":"The medium of this disk","readOnly":true},"model":{"type":"string","format":"","description":"The model name of this disk","readOnly":true},"product":{"type":"string","format":"","description":"The product string of this disk","readOnly":true},"diskSerial":{"type":"string","format":"","description":"The serial number of this disk","readOnly":true},"firmwareVersion":{"type":"string","format":"","description":"Firmware version","readOnly":true},"rotationRate":{"type":"integer","format":"integer","description":"Rotation rate (does not apply to SSD)","readOnly":true},"sectorSizeLogical":{"type":"integer","format":"integer","description":"Logical sector size","readOnly":true},"sectorSizePhysical":{"type":"integer","format":"integer","description":"Physical sector size","readOnly":true},"size":{"type":"integer","format":"integer","description":"In bytes","readOnly":true}},"additionalProperties":false},"HostMemory":{"type":"object","required":["brand","model","size","speed","ecc","memoryBank","memoryType","memorySlot","memorySerial"],"properties":{"brand":{"type":"string","format":"","description":"The brand name","readOnly":true},"model":{"type":"string","format":"","description":"The model name","readOnly":true},"size":{"type":"integer","format":"integer","description":"In bytes","readOnly":true},"speed":{"type":"integer","format":"integer","description":"The speed this memory module runs at","readOnly":true},"ecc":{"type":"integer","format":"integer","description":"Set to 1 if ecc is supported and enabled","readOnly":true},"memoryBank":{"type":"integer","format":"integer","description":"The bank this module sits in","readOnly":true},"memoryType":{"type":"string","format":"","description":"The type of memory module","readOnly":true},"memorySlot":{"type":"string","format":"","description":"The slot this module sits in","readOnly":true},"memorySerial":{"type":"string","format":"","description":"The serial number of this module","readOnly":true}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"HostUplink":{"type":"object","required":["uplinkId","aggregate"],"properties":{"uplinkId":{"type":"integer","format":"integer","description":"The cacti ID of the uplink","readOnly":true},"aggregate":{"type":"boolean","description":"True if the uplink is an aggregated uplink, false if it is not aggregated","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/host":{"get":{"tags":["Fleet"],"summary":"Get all your hosts for a fleet.","operationId":"getFleetHosts","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Host"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/fleet/{fleetId}/host/{hostId}/reserve

> Reserve the given host for the given fleet Id

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/host/{hostId}/reserve":{"put":{"tags":["Fleet"],"summary":"Reserve the given host for the given fleet Id","operationId":"updateFleetHostReserve","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}},{"name":"hostId","in":"path","description":"The Id of the host","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"409":{"description":"Host is already reserved"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Remove a fleet reservation from the given host. Sets \`fleetId\` to \`0\` only if no application instances are deployed on it.

> There are three situations you need to be aware of when un-reserving a fleet:\
> \* You have application instances on the host and auto-scaling is enabled: Eventually the host is scaled down and its \`fleetId\` will be set to \`0\`, at which point\
> it may be re-purposed for another fleet\
> \* You have application instances on the host and auto-scaling is not enabled: The host is not automatically scaled down and you will need to manually scale down\
> the application instances on this host for it to be available for another fleet\
> \* You have no application instances: The host is unreserved and its \`fleetId\` is immediately set to \`0\`, allowing the host to be re-purposed for another fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/host/{hostId}/unreserve":{"put":{"tags":["Fleet"],"summary":"Remove a fleet reservation from the given host. Sets `fleetId` to `0` only if no application instances are deployed on it.","description":"There are three situations you need to be aware of when un-reserving a fleet:\n* You have application instances on the host and auto-scaling is enabled: Eventually the host is scaled down and its `fleetId` will be set to `0`, at which point\nit may be re-purposed for another fleet\n* You have application instances on the host and auto-scaling is not enabled: The host is not automatically scaled down and you will need to manually scale down\nthe application instances on this host for it to be available for another fleet\n* You have no application instances: The host is unreserved and its `fleetId` is immediately set to `0`, allowing the host to be re-purposed for another fleet","operationId":"updateFleetHostUnreserve","parameters":[{"name":"fleetId","in":"path","description":"The ID of the fleet","required":true,"schema":{"type":"string"}},{"name":"hostId","in":"path","description":"The ID of the host","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId or hostId"},"409":{"description":"Host cannot be unreserved"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/fleet/{fleetId}/application/inUse

> Get the list of applications for the given fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Application":{"type":"object","required":["id","type","managementProtocol","name","createdAt","inUse"],"properties":{"id":{"type":"string","format":"","description":"Application ID","readOnly":true},"type":{"type":"integer","format":"integer","description":"The list of application type can be found in: GET /application/type"},"managementProtocol":{"type":"integer","format":"integer","description":"The protocol used to manage the application (defaults to None when not set):\n* 0: None\n* 1: A2S\n* 2: ARCUS"},"name":{"type":"string","format":"","description":"The public name of your application"},"websiteUrl":{"type":"string","format":"","description":"The url to your application's website"},"description":{"type":"string","format":"","description":"A short description of your application"},"developerName":{"type":"string","format":"","description":"The name of the application's developer"},"publisherName":{"type":"string","format":"","description":"The name of the application's publisher"},"stopDefaultOsGroup":{"type":"integer","format":"integer","description":"The default operating system group being used for the stop method. If you have a Windows and Linux ApplicationBuild you can overwrite this on the ApplicationBuild level. Must be one of:\n* 1: Windows\n* 2: Linux (default)"},"stopMethod":{"type":"integer","format":"integer","description":"The stop method that will be used on restart or destroy of an application instance. The default is hard kill, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"stopTimeout":{"type":"integer","format":"integer","description":"The timeout that will be used on restart or destroy of an application instance, in seconds. The default is 0 (no timeout)"},"createdAt":{"type":"integer","format":"integer","description":"UnixTimestamp","readOnly":true},"inUse":{"type":"integer","format":"integer","description":"If the application currently in use or not","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/application/inUse":{"get":{"tags":["Fleet"],"summary":"Get the list of applications for the given fleet","operationId":"getFleetApplicationInUses","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Application"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/fleet/{fleetId}/applicationBuild/inUse

> Get the list of application builds for the given fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuild":{"type":"object","required":["id","name","applicationId","type","executable","osId","createdAt","runAsRoot"],"properties":{"id":{"type":"string","format":"","description":"Application build ID","readOnly":true},"name":{"type":"string","format":"","description":"The name of the application build"},"applicationId":{"type":"string","format":"","description":"The ID of the application. May be null if buildProvisioningStorageType is LegacyFTP","nullable":true},"hostCapacityTemplateId":{"type":"string","format":"","description":"The ID of the host capacity template"},"type":{"type":"integer","format":"integer","description":"The application build, list of types can be found in: [GET /application/type](#/Application/get_v3_application_type)","readOnly":true},"executable":{"type":"string","format":"","description":"The executable name including the path originating from the root directory of the software structure"},"startupParameters":{"type":"string","format":"","description":"The startup parameters required for an executable"},"instanceDoesReadyCallback":{"type":"integer","format":"integer","description":"Set to 1 if a deployed application instance will inform the platform it's done with initializing and is ready to\naccept players. Defaults to 0 if not set, which means an instance's status will go directly to ONLINE (4) after starting"},"installId":{"type":"integer","format":"integer","description":"ID of the application install (legacy FTP, will be removed, may not be updated)","deprecated":true},"osId":{"type":"integer","format":"integer","description":"ID of the operating system, list of operating systems can be found in: [GET\n/v3/operatingsystem](all#/OperatingSystem/get_v3_operatingsystem)"},"stopMethod":{"type":"integer","format":"integer","description":"The stop method that will be used on restart or destroy of an application instance. The default is taken from the value of\n[GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods) - any value submitted here overrides that Application default","nullable":true},"stopTimeout":{"type":"integer","format":"integer","description":"The timeout that will be used on restart or destroy of an application instance. The default is taken from the value of\n`Application.stopTimeout` - any value submitted here overrides that Application default","nullable":true},"createdAt":{"type":"integer","format":"integer","description":"When the application build was created (unix timestamp)","readOnly":true},"label":{"type":"array","items":{"$ref":"#/components/schemas/Label"},"description":"Custom key/value pairs that can be used for application build selection / identification"},"applicationBuildFile":{"allOf":[{"$ref":"#/components/schemas/ApplicationBuildFile"}],"description":"The application build file to be used for the application instance","nullable":true},"buildProvisioningStorageType":{"type":"integer","format":"integer","description":"Type of storage being used [GET\n/v3/buildProvisioning/storage/registration/types](#/BuildProvisioning/getBuildProvisioningStorageRegistrationTypes). Default: 0"},"runAsRoot":{"type":"integer","format":"integer","description":"Controls whether to run this build as root or as a non-privileged user.\nWarning: This currently only works for builds deployed onto a Linux operating system. Windows builds will always run as administrator\n* 0: run as non-privileged user\n* 1: run as root user (default)"}},"additionalProperties":false},"Label":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","format":"","description":"Label key, only hyphens (-), underscores (_), lowercase characters and numbers are allowed. Keys must start with a lowercase character."},"value":{"type":"string","format":"","description":"Label value, maximum length is 150 characters"}},"additionalProperties":false},"ApplicationBuildFile":{"type":"object","required":["id","buildProvisioningFileId","buildProvisioningRegistrationId","fileName","fileSize","version","md5CheckSum","createdAt","changedAt","availableOnCDN"],"properties":{"id":{"type":"string","format":"","description":"Application build file ID","readOnly":true},"buildProvisioningFileId":{"type":"string","format":"","description":"ID of the uploaded file to the i3D.net storage. Cannot be updated once set"},"buildProvisioningRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning registration. Cannot be updated once set"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"version":{"type":"string","format":"","description":"Version of the file"},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"path":{"type":"string","format":"","description":"location of the file"},"domain":{"type":"string","format":"","description":"The domain where the files are stored"},"dockerRepository":{"type":"string","format":"","description":"The docker repository that needs to be used","deprecated":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the application build file last has been changed","readOnly":true},"availableOnCDN":{"type":"integer","format":"integer","description":"the file is on the CDN when is 1.","readOnly":true}},"additionalProperties":false,"nullable":true},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/applicationBuild/inUse":{"get":{"tags":["Fleet"],"summary":"Get the list of application builds for the given fleet","operationId":"getFleetApplicationBuildInUses","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuild"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables

> Get a list of environment variables for a fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"GameLiftEnvironmentVariables":{"type":"object","required":["id","type","name"],"properties":{"id":{"type":"string","format":"","description":"of game lift environment variable","nullable":true},"type":{"type":"string","format":"","description":"of game lift environment variable:\n- awsgl_endpoint\n- awsgl_region\n- awsgl_token\n- awsgl_hostname\n- awsgl_fleetid\n- raw_value"},"name":{"type":"string","format":"","description":"of game lift environment variable, e.g. \"AWS_TOKEN_ID\"","nullable":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables":{"get":{"tags":["Fleet"],"summary":"Get a list of environment variables for a fleet","operationId":"getFleetGameLiftDeploymentEnvironmentVariables","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameLiftEnvironmentVariables"}}}}},"400":{"description":"Bad request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables

> Add or update environment variables for a fleet

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"GameLiftEnvironmentVariables":{"type":"object","required":["id","type","name"],"properties":{"id":{"type":"string","format":"","description":"of game lift environment variable","nullable":true},"type":{"type":"string","format":"","description":"of game lift environment variable:\n- awsgl_endpoint\n- awsgl_region\n- awsgl_token\n- awsgl_hostname\n- awsgl_fleetid\n- raw_value"},"name":{"type":"string","format":"","description":"of game lift environment variable, e.g. \"AWS_TOKEN_ID\"","nullable":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/fleet/{fleetId}/gameLiftDeploymentEnvironmentVariables":{"put":{"tags":["Fleet"],"summary":"Add or update environment variables for a fleet","operationId":"updateFleetGameLiftDeploymentEnvironmentVariables","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameLiftEnvironmentVariables"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameLiftEnvironmentVariables"}}}}},"400":{"description":"Bad request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/fleet/{fleetId}/current

> Get current fleet telemetry

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"Fleet","description":"All fleet endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"FleetTelemetryModel":{"type":"object","required":["hosts","instances","players"],"properties":{"hosts":{"type":"integer","format":"integer","description":"The number of hosts"},"instances":{"type":"integer","format":"integer","description":"The number of instances"},"players":{"type":"integer","format":"integer","description":"The number of players"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/fleet/{fleetId}/current":{"get":{"tags":["Fleet"],"summary":"Get current fleet telemetry","operationId":"getTelemetryFleetCurrents","parameters":[{"name":"fleetId","in":"path","description":"The Id of the fleet","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FleetTelemetryModel"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fleetId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/fleet-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
